## mididings 0~20120312

=== src/SConstruct ===
# -*- python -*-

import os
from distutils import sysconfig

def boost_lib_name(lib):
    for libdir in ('/usr/lib', '/usr/local/lib', '/usr/lib64', '/usr/local/lib64'):
        for suffix in ('', '-mt'):
            libname = 'lib%s%s.so' % (lib, suffix)
            if os.path.isfile(os.path.join(libdir, libname)):
                return lib + suffix
    return lib + '-mt'

env = Environment(
#    CCFLAGS = ['-O2', '-W', '-Wall', '-finline-functions', '-fvisibility=hidden'],
    CCFLAGS = ['-g', '-W', '-Wall'],
    CPPDEFINES = [
#        'NDEBUG',
#        'ENABLE_DEBUG_FN',
#        'ENABLE_DEBUG_PRINT',
        'ENABLE_TEST',
#        'ENABLE_BENCHMARK',
        'ENABLE_ALSA_SEQ',
        'ENABLE_JACK_MIDI',
        'ENABLE_SMF',
    ],
    CPPPATH = ['.'],
    ENV = os.environ,
    LIBS = [
        boost_lib_name('boost_python'),
        boost_lib_name('boost_thread'),
#        'boost_python3',
#        'boost_thread',
    ],
)

# hack to remove compiler flags from the distutils default.
# -Wstrict-prototypes is not valid for C++
cv_opt = sysconfig.get_config_var('CFLAGS')
cflags = [ x for x in cv_opt.split() if x not in ['-g', '-O2', '-Wstrict-prototypes', '-DNDEBUG'] ]
env.Append(CCFLAGS = cflags)

# avoid some annoying warnings caused by recent boost versions and an overreacting gcc
env.Append(CCFLAGS = '-Wno-missing-field-initializers')

env.Append(
    CPPPATH = [sysconfig.get_python_inc(plat_specific=1)],
    LIBPATH = [sysconfig.get_python_lib(plat_specific=1)]
#    CPPPATH = ['/opt/boost1.43/include', '/opt/python3.2/include/python3.2m'],
#    LIBPATH = ['/opt/boost1.43/lib', '/opt/python3.2/lib'],
)

sources = [
    'engine.cc',
    'patch.cc',
    'python_caller.cc',
    'python_module.cc',
    'backend/base.cc',
]

env.ParseConfig('pkg-config --cflags --libs glib-2.0')

if 'ENABLE_ALSA_SEQ' in env['CPPDEFINES']:
    env.ParseConfig('pkg-config --cflags --libs alsa')
    sources.append('backend/alsa.cc')

if 'ENABLE_JACK_MIDI' in env['CPPDEFINES']:
    env.ParseConfig('pkg-config --cflags --libs jack')
    sources.append(['backend/jack.cc', 'backend/jack_buffered.cc', 'backend/jack_realtime.cc'])

if 'ENABLE_SMF' in env['CPPDEFINES']:
    env.ParseConfig('pkg-config --cflags --libs smf')
    sources.append('backend/smf.cc')

env.SharedLibrary('_mididings', sources, SHLIBPREFIX='', SHOBJSUFFIX='.o')

## mididings 0~20101119

=== debian/changelog ===
mididings (0~20101119-1) unstable; urgency=low

  * Really build with libsmf support.
  * Imported Upstream version 0~20101119
  * File in ./doc/examples/ are public domain, as stated in README.

 -- Alessio Treglia <alessio@debian.org>  Sat, 20 Nov 2010 11:13:28 +0100

mididings (0~20100602-1) unstable; urgency=low

  * Initial release. (Closes: #600914)

 -- Alessio Treglia <alessio@debian.org>  Thu, 21 Oct 2010 12:50:41 +0200

=== debian/control ===
Source: mididings
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 python-all-dev (>= 2.5),
 libasound2-dev,
 libjack-dev,
 python-support (>= 0.90),
 python-gobject-dev (>= 2.18.0),
 libsmf-dev,
 libboost-python-dev (>= 1.34.1),
 libboost-thread-dev (>= 1.34.1)
Standards-Version: 3.9.1
XS-Python-Version: >= 2.5
Vcs-Git: git://git.debian.org/pkg-multimedia/mididings.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mididings.git
Homepage: http://das.nasophon.de/mididings/

Package: python-mididings
Section: python
Architecture: any
Depends: ${shlibs:Depends},
 ${python:Depends},
 ${misc:Depends}
Suggests: python-dbus,
 python-tk,
 python-liblo,
 python-pyinotify
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: MIDI routing library for Python 
 mididings is a MIDI router and processor based on Python,
 supporting ALSA and JACK MIDI.
 .
 Features:
  * MIDI routing and filtering
    Filter events depending on their event type, channel,
    note number, velocity, etc., and freely route them
    between an arbitrary number of input and output ports.
  * Modifying and converting MIDI events
    Transpose notes, apply velocity curves, change
    controller values and ranges, or convert events to any
    other MIDI event type. mididings also includes more
    complex functions like a diatonic harmonizer, floating
    split points, latched notes, and more.
  * Seamless switching between patches
    Set up different "scenes", each with its own MIDI
    routing and processing, and switch between them at any
    time, even while playing. Switching scenes does not
    affect notes already held, and does not result in
    dropouts or stuck notes!
  * MIDI event monitoring, running external commands
    Print MIDI event data to the console to help debugging
    your patches and configuring your MIDI controllers. In
    addition to its MIDI output, mididings can also
    execute shell commands and send OSC or DBUS messages.

Package: mididings
Architecture: all
Depends: ${python:Depends},
 python-mididings (>= ${source:Version}),
 python-dbus,
 python-tk,
 python-liblo,
 python-pyinotify,
 ${misc:Depends}
Suggests: mididings-doc
Description: MIDI router and processor based on Python
 mididings is a MIDI router and processor based on Python,
 supporting ALSA and JACK MIDI.
 .
 This package contains the mididings and livedings
 applications.

Package: mididings-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: mididings Documentation
 mididings is a MIDI router and processor based on Python,
 supporting ALSA and JACK MIDI.
 .
 This package contains the documentation files for mididings.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- --enable-smf

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## mididings 0~20120312

=== debian/changelog ===
mididings (0~20120312-1) unstable; urgency=low

  * New upstream release:
    - Added methods apply(), invert() and negate() to filter objects, and
      made AndSelector and OrSelector public classes. Anything that can be
      done with funny overloaded operators is now also possible with regular
      functions and objects.
    - Added option -n to livedings, based on a patch by AurÃ©lien.
    - Added SysExEvent() function in mididings.event module.
    - Added Restart() and Quit() in mididings.extra module.
    - Fixed PitchbendEvent().
    - Fixed selector operators & and | for more than two filters.
    - Print correct note names when using Python 3.
    - Fixed operator != for comparing MidiEvent objects.
    - Fixed compilation on OS X, automatically disable ALSA backend on
      non-Linux platforms.
    - Extended and reorganized unit tests.
    - Some documentation cleanup.
  * Ignor errors on clean to allow building the source package without
    installing python-gobject-dev.
  * Refresh debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 21 Mar 2012 14:00:39 +0100

mididings (0~20101119-2) unstable; urgency=low

  * mididings strictly depends on the current upstream release.
  * Use dh_installexamples to install example files.
  * Strip examples from mididings-doc.install file.
  * Switch to dh_python2.

 -- Alessio Treglia <alessio@debian.org>  Tue, 19 Apr 2011 17:16:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,19 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
- python-all-dev (>= 2.5),
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
+Build-Depends:
+ debhelper (>= 7.0.50~),
  libasound2-dev,
+ libboost-python-dev (>= 1.34.1),
+ libboost-thread-dev (>= 1.34.1),
  libjack-dev,
- python-support (>= 0.90),
- python-gobject-dev (>= 2.18.0),
  libsmf-dev,
- libboost-python-dev (>= 1.34.1),
- libboost-thread-dev (>= 1.34.1)
-Standards-Version: 3.9.1
-XS-Python-Version: >= 2.5
+ python-all-dev (>= 2.6.6-3~),
+ python-gobject-dev (>= 2.18.0)
+Standards-Version: 3.9.3
+X-Python-Version: >= 2.5
 Vcs-Git: git://git.debian.org/pkg-multimedia/mididings.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mididings.git
 Homepage: http://das.nasophon.de/mididings/
@@ -21,16 +22,18 @@
 Package: python-mididings
 Section: python
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
+ ${misc:Depends},
  ${python:Depends},
- ${misc:Depends}
-Suggests: python-dbus,
- python-tk,
+ ${shlibs:Depends}
+Suggests:
+ python-dbus,
  python-liblo,
- python-pyinotify
-Provides: ${python:Provides}
-XB-Python-Version: ${python:Versions}
-Description: MIDI routing library for Python 
+ python-pyinotify,
+ python-tk
+Provides:
+ ${python:Provides}
+Description: MIDI routing library for Python
  mididings is a MIDI router and processor based on Python,
  supporting ALSA and JACK MIDI.
  .
@@ -59,14 +62,17 @@
 
 Package: mididings
 Architecture: all
-Depends: ${python:Depends},
+Depends:
+ python-dbus,
+ python-liblo,
+ python-mididings (<< ${source:Upstream-Version}+1~),
  python-mididings (>= ${source:Version}),
- python-dbus,
+ python-pyinotify,
  python-tk,
- python-liblo,
- python-pyinotify,
- ${misc:Depends}
-Suggests: mididings-doc
+ ${misc:Depends},
+ ${python:Depends}
+Suggests:
+ mididings-doc
 Description: MIDI router and processor based on Python
  mididings is a MIDI router and processor based on Python,
  supporting ALSA and JACK MIDI.
@@ -77,7 +83,8 @@
 Package: mididings-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends}
 Description: mididings Documentation
  mididings is a MIDI router and processor based on Python,
  supporting ALSA and JACK MIDI.

=== debian/watch ===
version=3
opts="uversionmangle=s/^/0~/" \
http://das.nasophon.de/download/ mididings-(\d+)\.tar\.gz

## mididings 0~20120419~ds0

=== src/SConstruct ===
--- 
+++ 
@@ -12,13 +12,14 @@
     return lib + '-mt'
 
 env = Environment(
+#    CXX = 'clang++',
 #    CCFLAGS = ['-O2', '-W', '-Wall', '-finline-functions', '-fvisibility=hidden'],
     CCFLAGS = ['-g', '-W', '-Wall'],
     CPPDEFINES = [
 #        'NDEBUG',
 #        'ENABLE_DEBUG_FN',
 #        'ENABLE_DEBUG_PRINT',
-        'ENABLE_TEST',
+#        'ENABLE_DEBUG_STATS',
 #        'ENABLE_BENCHMARK',
         'ENABLE_ALSA_SEQ',
         'ENABLE_JACK_MIDI',
@@ -45,9 +46,11 @@
 
 env.Append(
     CPPPATH = [sysconfig.get_python_inc(plat_specific=1)],
-    LIBPATH = [sysconfig.get_python_lib(plat_specific=1)]
+    LIBPATH = [sysconfig.get_python_lib(plat_specific=1)],
 #    CPPPATH = ['/opt/boost1.43/include', '/opt/python3.2/include/python3.2m'],
 #    LIBPATH = ['/opt/boost1.43/lib', '/opt/python3.2/lib'],
+#    CPPPATH = ['/opt/boost1.46.1/include', '/usr/include/python3.1'],
+#    LIBPATH = ['/opt/boost1.46.1/lib'],
 )
 
 sources = [

=== debian/changelog ===
mididings (0~20120419~ds0-5) unstable; urgency=medium

  * QA upload
  * Orphaning this

 -- Alessio Treglia <alessio@debian.org>  Tue, 16 Feb 2016 10:57:42 +0000

mididings (0~20120419~ds0-4) unstable; urgency=medium

  * Team upload.
  * Add patch to compile with Boost 1.54 (Closes: #733395)
  * Enable boost_1.54.patch
  * Build-depend on at least boost-1.54.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 24 Feb 2014 11:07:55 +0000

mididings (0~20120419~ds0-3) unstable; urgency=low

  * Enable hardening by bumping DH compat up.
  * Fix VCS URLs to meet the canonical form.
  * Depend on python.
  * Improve debian/watch file to properly mangle dversion.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Oct 2013 15:20:56 +0100

mididings (0~20120419~ds0-2) unstable; urgency=low

  * Team upload.
  * debian/patches/time_utc.patch: Fix FTBFS because of the boost::TIME_UTC to
    boost::TIME_UTC_ name change. (Closes: #710636).

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Jul 2013 11:41:35 +0200

mididings (0~20120419~ds0-1) unstable; urgency=low

  * New upstream release.
  * Depends on python-decorator.

 -- Alessio Treglia <alessio@debian.org>  Mon, 23 Apr 2012 01:38:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,25 @@
 Source: mididings
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders:
- Alessio Treglia <alessio@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  libasound2-dev,
- libboost-python-dev (>= 1.34.1),
- libboost-thread-dev (>= 1.34.1),
+ libboost-python-dev (>= 1.54),
+ libboost-thread-dev (>= 1.54),
  libjack-dev,
  libsmf-dev,
  python-all-dev (>= 2.6.6-3~),
  python-gobject-dev (>= 2.18.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.5
-Vcs-Git: git://git.debian.org/pkg-multimedia/mididings.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mididings.git
 Homepage: http://das.nasophon.de/mididings/
 
 Package: python-mididings
 Section: python
 Architecture: any
 Depends:
+ python-decorator,
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends}
@@ -63,6 +60,7 @@
 Package: mididings
 Architecture: all
 Depends:
+ python,
  python-dbus,
  python-liblo,
  python-mididings (<< ${source:Upstream-Version}+1~),

=== debian/watch ===
version=3
opts="uversionmangle=s/^/0~/,dversionmangle=s/(\d~\d+)~ds\d/$1/" \
http://das.nasophon.de/download/ mididings-(\d+)\.tar\.gz

## mididings 0%7e20101119

=== src/SConstruct ===
--- 
+++ 
@@ -12,14 +12,13 @@
     return lib + '-mt'
 
 env = Environment(
-#    CXX = 'clang++',
 #    CCFLAGS = ['-O2', '-W', '-Wall', '-finline-functions', '-fvisibility=hidden'],
     CCFLAGS = ['-g', '-W', '-Wall'],
     CPPDEFINES = [
 #        'NDEBUG',
 #        'ENABLE_DEBUG_FN',
 #        'ENABLE_DEBUG_PRINT',
-#        'ENABLE_DEBUG_STATS',
+        'ENABLE_TEST',
 #        'ENABLE_BENCHMARK',
         'ENABLE_ALSA_SEQ',
         'ENABLE_JACK_MIDI',
@@ -46,11 +45,9 @@
 
 env.Append(
     CPPPATH = [sysconfig.get_python_inc(plat_specific=1)],
-    LIBPATH = [sysconfig.get_python_lib(plat_specific=1)],
-#    CPPPATH = ['/opt/boost1.43/include', '/opt/python3.2/include/python3.2m'],
-#    LIBPATH = ['/opt/boost1.43/lib', '/opt/python3.2/lib'],
-#    CPPPATH = ['/opt/boost1.46.1/include', '/usr/include/python3.1'],
-#    LIBPATH = ['/opt/boost1.46.1/lib'],
+    LIBPATH = [sysconfig.get_python_lib(plat_specific=1)]
+#    CPPPATH = ['/opt/boost1.43/include', '/opt/python3.1/include/python3.1'],
+#    LIBPATH = ['/opt/boost1.43/lib', '/opt/python3.1/lib'],
 )
 
 sources = [

=== debian/changelog ===
mididings (0~20101119-2build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:05:20 +0000
